## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%if 0%{?el9}
# likely some issue with a combination of sphinx and the theme used
# writing output... [ 12%] advanced
# Theme error:
# An error happened in rendering the page advanced.
# Reason: UndefinedError("'styles' is undefined")
%bcond_with doc
%else
%bcond_without doc
%endif

%global srcname mistune

%global common_description %{expand:
The fastest markdown parser in pure Python, inspired by marked.}

Name:           python-mistune
Version:        3.1.3
Release:        %autorelease
Summary:        Markdown parser for Python

License:        BSD-3-Clause
URL:            https://github.com/lepture/mistune
Source0:        %url/archive/v%{version}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel
# Upstream uses tox to call nose. Instead, we'll just call pytest directly.
BuildRequires:  python3dist(pytest)

%description %{common_description}

%package -n python3-%{srcname}
Summary:        %{summary}

# Allow upgrades from Fedora 37 with python3-mistune08 to Fedora 38 with python3-mistune
# as python3-nbconvert requires mistune 2 on Fedora 38+.
# See https://bugzilla.redhat.com/2177923
# See https://bugzilla.redhat.com/2342812
# If the Fedora 37 python3-mistune08 package is ever bumped, this needs to be bumped as well!
Obsoletes:      python3-mistune08 < 0.8.4-16

%description -n python3-%{srcname} %{common_description}

%if %{with doc}
%package doc
Summary:        Documentation for %{name}

%description doc
%{common_description}

This is the documentation package for %{name}.
%endif

%prep
%autosetup -p1 -n %{srcname}-%{version}

# replace shibuya theme which is not available in Fedora with sphinx read the docs theme
sed -i 's/html_theme = "shibuya"/html_theme = "sphinx_rtd_theme"/' docs/conf.py
sed -i "s/shibuya/sphinx-rtd-theme/" pyproject.toml

%generate_buildrequires
%if %{with doc}
%pyproject_buildrequires -g docs
%else
%pyproject_buildrequires
%endif

%build
%pyproject_wheel

%if %{with doc}
# generate html docs
PYTHONPATH=$PWD/build/lib sphinx-build docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%pyproject_install
%pyproject_save_files %{srcname}

%{_fixperms} %{buildroot}/*

%check
%pytest

%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.rst

%if %{with doc}
%files doc
%doc html
%license LICENSE
%endif

%changelog
## START: Generated by rpmautospec
* Mon Mar 31 2025 Romain Geissler <romain.geissler@amadeus.com> - 3.1.3-1
- Update to 3.1.3.

* Fri Jan 31 2025 Miro Hrončok <miro@hroncok.cz> - 3.0.2-4
- Bump the Obsoleted release of python3-mistune08
- Fixes: rhbz#2342812

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Mon Jan 13 2025 Tomáš Hrnčiar <thrnciar@redhat.com> - 3.0.2-2
- Adjust sed to allow newer versions of sphinx

* Tue Aug 27 2024 Tomáš Hrnčiar <thrnciar@redhat.com> - 3.0.2-1
- Update to 3.0.2

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.4-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 2.0.4-9
- Rebuilt for Python 3.13

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.4-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Oct 25 2023 Michel Lind <salimma@fedoraproject.org> - 2.0.4-6
- Disable doc building on EL9
- Don't use deprecated %%%%pyproject_build_lib
- Use SPDX license identifier

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed Jun 14 2023 Python Maint <python-maint@redhat.com> - 2.0.4-4
- Rebuilt for Python 3.12

* Wed Apr 05 2023 Miro Hrončok <miro@hroncok.cz> - 2.0.4-3
- Allow upgrades from Fedora 37 with python3-mistune08 to Fedora 38 with
  python3-mistune
- Fixes: rhbz#2177923

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Oct 12 2022 Michel Alexandre Salim <salimma@fedoraproject.org> - 2.0.4-1
- Update to 2.0.4

* Wed Oct 12 2022 Robert-André Mauchin <zebob.m@gmail.com> - 0.8.4-7
- Convert to new Python guidelines

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 0.8.4-4
- Rebuilt for Python 3.11

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jul 09 2021 Tomas Hrnciar <thrnciar@redhat.com> - 0.8.4-1
- Update to 0.8.4

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 0.8.3-16
- Rebuilt for Python 3.10

* Mon Feb 08 2021 Charalampos Stratakis <cstratak@redhat.com> - 0.8.3-15
- Run the tests with pytest instead of nose

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.3-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.3-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Sun May 24 2020 Miro Hrončok <mhroncok@redhat.com> - 0.8.3-12
- Rebuilt for Python 3.9

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.3-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Nov 14 2019 Miro Hrončok <mhroncok@redhat.com> - 0.8.3-10
- Subpackage python2-mistune has been removed
  See https://fedoraproject.org/wiki/Changes/Mass_Python_2_Package_Removal

* Thu Sep 12 2019 Miro Hrončok <mhroncok@redhat.com> - 0.8.3-9
- Modernize packaging, drop build dependency on python2-Cython

* Sat Aug 17 2019 Miro Hrončok <mhroncok@redhat.com> - 0.8.3-8
- Rebuilt for Python 3.8

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.8.3-4
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jan 25 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.8.3-2
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Tue Dec 19 2017 Christian Dersch <lupinix@fedoraproject.org> - 0.8.3-1
- new version (0.8.3)
- fixes CVE-2017-15612 and CVE-2017-16876

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.7.3-7
- Python 2 binary package renamed to python2-mistune
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.7.3-3
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.3-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Mon Jul 04 2016 Christian Dersch <lupinix@mailbox.org> - 0.7.3-1
- new version

* Sat Feb 27 2016 Christian Dersch <lupinix@mailbox.org> - 0.7.2-1
- new version

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.1-2
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Wed Sep 23 2015 Christian Dersch <lupinix@fedoraproject.org> - 0.7.1-1
- new version

* Wed Jun 17 2015 Christian Dersch <lupinix@fedoraproject.org> - 0.6-1
- new upstream release

* Mon Apr 20 2015 Christian Dersch <lupinix@fedoraproject.org> - 0.5.1-1
- new upstream release (0.5.1)

* Fri Dec  5 2014 Christian Dersch <lupinix@fedoraproject.org> - 0.5-1
- new upstream release
- enabled tests

* Thu Dec  4 2014 Christian Dersch <lupinix@fedoraproject.org> - 0.4.1-2
- spec fixes

* Thu Dec  4 2014 Christian Dersch <lupinix@fedoraproject.org> - 0.4.1-1
- initial spec

## END: Generated by rpmautospec
